The database structure is more recent than the installed code. Please upgrade the code.

General discussion of Mantis.

Moderators: Developer, Contributor

Post Reply
ctl_erp_support
Posts: 7
Joined: 02 Mar 2021, 03:53

The database structure is more recent than the installed code. Please upgrade the code.

Post by ctl_erp_support »

Hi,

We are migrating our mantis server from one server to other server.

We have taken backup of mantis database and restore in new server.

After installing the mantis server in new server, we copied the config_inp.php also.

When running the URL, we got this message.

Our mantis server details are as below.
MantisBT Version 2.24.2
Schema Version 211
PHP Version 7.2.24
Database Driver mysqli
Database Version, Description 8.0.30, 8.0.30

Please help us to resolve this issue.

Thanks.
atrol
Site Admin
Posts: 8416
Joined: 26 Mar 2008, 21:37
Location: Germany

Re: The database structure is more recent than the installed code. Please upgrade the code.

Post by atrol »

You have installed MantisBT Version 2.24.2, but seems you upgraded your database to a newer version >= 2.25.0
Schema Version 211 means that you have to use latest 2.25.x (2.25.5 at the moment)
Please use Search before posting and read the Manual
ctl_erp_support
Posts: 7
Joined: 02 Mar 2021, 03:53

Re: The database structure is more recent than the installed code. Please upgrade the code.

Post by ctl_erp_support »

Hi,

thanks very much.

Realised that we have installed 2.24.2

The warning has gone after installing 2.25.2.
Post Reply